%define name    mod_roaming
%define version 1.0.2
%define release 1mdk

Summary: Roaming Access component for Apache webserver
Name: %name
Version: %version
Release: %release
Source0: %name-%version.tar.bz2
Source1: mod_roaming.conf
URL: http://www.klomp.org/mod_roaming/
Copyright: BSD
Group: System/Servers
BuildRoot: %_tmppath/%name-buildroot
Prefix: %_prefix

%description
With mod_roaming you can use your Apache webserver as a Netscape Roaming
Access server. This allows you to store your Netscape Communicator +
preferences, bookmarks, address books, cookies, etc, on the server so that
you can use (and update) the same settings from any Netscape Communicator
that can access the server.

%prep
%setup -n %name-%version

%build
gcc -fpic -I/usr/include/apache -O2 -DSHARED_MODULE -DEAPI -Wall -shared \
  -o %name.so %name.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache/
install -s -m 755  %name.so \
  $RPM_BUILD_ROOT/usr/lib/apache/
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules/
install    -m 644  %SOURCE1      \
  $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules/
touch $RPM_BUILD_ROOT/etc/httpd/conf/addon-modules/mod_roaming.passwd
mkdir -p $RPM_BUILD_ROOT/home/httpd/roaming/

%clean
rm -rf $RPM_BUILD_ROOT

%post
# after install, actually load the module
echo "Include conf/addon-modules/%{name}.conf" >> \
  /etc/httpd/conf/httpd.conf
/usr/sbin/apachectl restart

%preun
# before unstall, unload the module
perl -pi -e 's|^Include conf/addon-modules/%{name}.conf||g' \
  /etc/httpd/conf/httpd.conf
/usr/sbin/apachectl restart

%files
%defattr(-,root,root)
%doc CHANGES INSTALL LICENSE README
%_libdir/apache/%name.so
%config /etc/httpd/conf/addon-modules/%name.conf
%config /etc/httpd/conf/addon-modules/%name.passwd
%dir /home/httpd/roaming

%changelog
* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- new in contribs
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>
